.\"	$NetBSD: nologin.5,v 1.1 2005/12/09 17:02:53 ginsbach Exp $
.\"
.\" Copyright (c) 2005 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This document is derived from works contributed to The NetBSD Foundation
.\" by Brian Ginsbach.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 9, 2005
.Dt NOLOGIN 5
.Os
.Sh NAME
.Nm nologin
.Nd file disallowing and containing reason for disallowing logins
.Sh DESCRIPTION
The file
.Pa /etc/nologin ,
if it exists, causes the login procedure, used by programs such as
.Xr login 1 ,
to terminate.
The program may display the contents of
.Pa /etc/nologin
to the user before exiting.
.Pp
This file is a simple mechanism to temporarily prevent incoming logins.
As such,
the file
.Pa /etc/nologin
is created by
.Xr shutdown 8
five minutes before system shutdown,
or immediately if shutdown is in less than five minutes.
The file
.Pa /etc/nologin
is removed just before
.Xr shutdown 8
exits.
.Pp
To disable logins on a per-account basis,
see
.Xr nologin 8 .
.Pp
The file
.Pa /etc/nologin
has no affect on the login procedure for the root user.
.Sh FILES
.Bl -tag -width /etc/nologin -compact
.It Pa /etc/nologin
The
.Nm
file resides in
.Pa /etc .
.El
.Sh EXAMPLES
.Bd -literal
NO LOGINS: System going down at 18:22
.Ed
.Sh SEE ALSO
.Xr login 1 ,
.Xr ftpd 8 ,
.Xr nologin 8 ,
.Xr rshd 8 ,
.Xr shutdown 8 ,
.Xr sshd 8
